GCLOUD_DATAFLOW_JOBS_DRAIN(1)

NAME

gcloud dataflow jobs drain - drains all jobs that match the command line arguments

SYNOPSIS

gcloud dataflow jobs drain JOB [JOB ...] [GLOBAL-FLAG ...]

DESCRIPTION
Once Drain is triggered, the pipeline will stop accepting new inputs. The input watermark will be advanced to infinity. Elements already in the pipeline will continue to be processed. Drained jobs can safely be cancelled.

POSITIONAL ARGUMENTS

    JOB [JOB ...]
        The jobs to operate on.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.